PrimeSelector Class Referenceabstract

Application callback to signal suitability of a cabdidate prime. More...

`#include <nbtheory.h>`

Inheritance diagram for PrimeSelector:

## Public Member Functions

const PrimeSelector * | GetSelectorPointer () const
virtual bool | IsAcceptable (const Integer &candidate) const =0

## Detailed Description

Application callback to signal suitability of a cabdidate prime.

Definition at line 116 of file nbtheory.h.

## Constructor & Destructor Documentation

## ~PrimeSelector()

virtual PrimeSelector::~PrimeSelector | ( |  | ) |

inline virtual

Definition at line 119 of file nbtheory.h.

## Member Function Documentation

## GetSelectorPointer()

const PrimeSelector * PrimeSelector::GetSelectorPointer | ( |  | ) | const

inline

Definition at line 120 of file nbtheory.h.

The documentation for this class was generated from the following file:

- nbtheory.h